aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/linux
diff options
context:
space:
mode:
authorGravatar Matt Kwong <matt-kwong@users.noreply.github.com>2017-08-02 11:08:19 -0700
committerGravatar GitHub <noreply@github.com>2017-08-02 11:08:19 -0700
commit5dee4fac968ee68de32766058c2799f6d45fe588 (patch)
treeab546a55ffedff7cdbf9b993cd5a0dcf4b163c00 /tools/internal_ci/linux
parent75c12f7368fa2d48be01020650a13da1a77c23d1 (diff)
parent2a0594c934f19b4d82f57999eaba697a639061b6 (diff)
Merge pull request #12023 from matt-kwong/kokoro_bazel
Add bazel tests to Kokoro
Diffstat (limited to 'tools/internal_ci/linux')
-rwxr-xr-xtools/internal_ci/linux/grpc_bazel.sh25
-rw-r--r--tools/internal_ci/linux/grpc_bazel_build.cfg23
-rw-r--r--tools/internal_ci/linux/grpc_bazel_test.cfg23
3 files changed, 71 insertions, 0 deletions
diff --git a/tools/internal_ci/linux/grpc_bazel.sh b/tools/internal_ci/linux/grpc_bazel.sh
new file mode 100755
index 0000000000..2b17fa849a
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_bazel.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+source tools/internal_ci/helper_scripts/prepare_build_linux_rc
+
+export DOCKERFILE_DIR=tools/dockerfile/test/bazel
+export DOCKER_RUN_SCRIPT=$BAZEL_SCRIPT
+exec tools/run_tests/dockerize/build_and_run_docker.sh
diff --git a/tools/internal_ci/linux/grpc_bazel_build.cfg b/tools/internal_ci/linux/grpc_bazel_build.cfg
new file mode 100644
index 0000000000..4d3a2ade5d
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_bazel_build.cfg
@@ -0,0 +1,23 @@
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_bazel.sh"
+timeout_mins: 60
+env_vars {
+ key: "BAZEL_SCRIPT"
+ value: "tools/jenkins/run_bazel_basic_in_docker.sh"
+}
diff --git a/tools/internal_ci/linux/grpc_bazel_test.cfg b/tools/internal_ci/linux/grpc_bazel_test.cfg
new file mode 100644
index 0000000000..46198b9600
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_bazel_test.cfg
@@ -0,0 +1,23 @@
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_bazel.sh"
+timeout_mins: 240
+env_vars {
+ key: "BAZEL_SCRIPT"
+ value: "tools/jenkins/run_bazel_full_in_docker.sh"
+}